/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/beans/archive/SearchStatusBean.java,v 1.1.1.1 2001/09/29 20:38:49 jonathan Exp $
 * $Log: SearchStatusBean.java,v $
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.beans.archive;

import java.net.URLEncoder;

public class SearchStatusBean {

    private String itsUri       = null;
    private int    itsGid       = -1;
    private int    itsMid       = -1;
    private int    itsDjid      = -1;
    private String itsDjname    = null;
    private String itsShowdesc  = null;
    private int    itsSort      = -1;
    private int    itsPagesize  = -1;
    private boolean hasPrevious = false;
    private boolean hasNext     = false;

    private int itsPrevPageNum = -1;
    private int itsNextPageNum = -1;

    public SearchStatusBean () {}

    public String geturi () { return itsUri; }
    public void seturi ( String theUri ) { itsUri = theUri; }

    public int getgid () { return itsGid; }
    public void setgid ( int theGid ) { itsGid = theGid; }

    public int getmid () { return itsMid; }
    public void setmid ( int theMid ) { itsMid = theMid; }

    public int getdjid () { return itsDjid; }
    public void setdjid ( int theDjid ) { itsDjid = theDjid; }

    public String getdjname () { return itsDjname; }
    public void setdjname ( String theDjname ) { itsDjname = theDjname; }

    public String getshowdesc () { return itsShowdesc; }
    public void setshowdesc ( String theShowdesc ) { itsShowdesc = theShowdesc; }

    public int getsort () { return itsSort; }
    public void setsort ( int theSort ) { itsSort = theSort; }

    public int getpagesize () { return itsPagesize; }
    public void setpagesize ( int thePagesize ) { itsPagesize = thePagesize; }

    public boolean gethasprev () { return hasPrevious; }
    public void sethasprev ( boolean hasprev ) { hasPrevious = hasprev; }
    
    public boolean gethasnext () { return hasNext; }
    public void sethasnext ( boolean hasnext ) { hasNext = hasnext; }
    
    public int getprevpagenum () { return itsPrevPageNum; }
    public void setprevpagenum ( int thePageNum ) { itsPrevPageNum = thePageNum; }

    public int getnextpagenum () { return itsNextPageNum; }
    public void setnextpagenum ( int thePageNum ) { itsNextPageNum = thePageNum; }

    public String getprevlink () {
        return itsUri + "?mid=" + itsMid
            + "&gid=" + itsGid
            + "&djid=" + itsDjid
            + "&djname=" + URLEncoder.encode(itsDjname)
            + "&showdesc=" + URLEncoder.encode(itsShowdesc)
            + "&sort=" + itsSort
            + "&pagenum=" + itsPrevPageNum
            + "&pagesize=" + itsPagesize;
    } 

    public String getnextlink () {
        return itsUri + "?mid=" + itsMid
            + "&gid=" + itsGid
            + "&djid=" + itsDjid
            + "&djname=" + URLEncoder.encode(itsDjname)
            + "&showdesc=" + URLEncoder.encode(itsShowdesc)
            + "&sort=" + itsSort
            + "&pagenum=" + itsNextPageNum
            + "&pagesize=" + itsPagesize;
    } 
}
