/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.2 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/beans/broadcast/BroadcastBean.java,v 1.2 2001/09/29 22:47:19 jonathan Exp $
 * $Log: BroadcastBean.java,v $
 * Revision 1.2  2001/09/29 22:47:19  jonathan
 * Fixed DOS-style CRLFs that were all over the place.
 *
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.beans.broadcast;

import java.sql.Date;
import java.sql.ResultSet;
import java.sql.SQLException;
import org.opendj.util.Util;
import org.opendj.util.DBFormat;

public class BroadcastBean {

    public static final int NOT_SINGLE = 0;
    public static final int IS_SINGLE  = 1;

    public static final int NOT_APPROVED = 0;
    public static final int IS_APPROVED  = 1;

    private int    itsBID           = -1;
    private int    itsChannelid     = -1;
    private String itsChannelidval  = null;
    private int    itsDjid          = -1;
    private String itsDjidval       = null;
    private String itsGenrename     = null;
    private int    itsDay           = -1;
    private String itsDayval        = null;
    private int    itsSingle        = NOT_SINGLE;
    private Date   itsSingledate    = null;
    private int    itsStarttime     = -1;
    private int    itsDuration      = -1;
    private int    itsApproved      = NOT_APPROVED;

    public BroadcastBean () {}

    public int    getbid() { return itsBID; }
    public void   setbid(int theBID) { itsBID = theBID; }

    public int    getchannelid() { return itsChannelid; }
    public void   setchannelid(int theChannelid) { itsChannelid = theChannelid; }

    public String getchannelidval() { return itsChannelidval; }
    public void   setchannelidval(String theChannelidval) { itsChannelidval = theChannelidval; }

    public int    getdjid() { return itsDjid; }
    public void   setdjid(int theDjid) { itsDjid = theDjid; }

    public String getdjidval() { return itsDjidval; }
    public void   setdjidval(String theDjidval) { itsDjidval = theDjidval; }

    public String getgenrename() { return itsGenrename; }
    public void   setgenrename(String theGenrename) { itsGenrename = theGenrename; }

    public int    getday() { return itsDay; }
    public void   setday(int theDay) { itsDay = theDay; }

    public String getdayval() { return itsDayval; }
    public void   setdayval(String theDayval) { itsDayval = theDayval; }

    public int    getsingle() { return itsSingle; }
    public void   setsingle(int theSingle) { itsSingle = theSingle; }

    public Date   getsingledate() { return itsSingledate; }
    public void   setsingledate(Date theSingledate) { itsSingledate = theSingledate; }

    public int    getstarttime() { return itsStarttime; }
    public void   setstarttime(int theStarttime) { itsStarttime = theStarttime; }

    public int    getduration() { return itsDuration; }
    public void   setduration(int theDuration) { itsDuration = theDuration; }

    public int    getapproved() { return itsApproved; }
    public void   setapproved(int theApproved) { itsApproved = theApproved; }

    public String getstarttimeval() {
        return DBFormat.FormatStartTime(itsStarttime);
    }

    public String getendtimeval() {
        return DBFormat.FormatStartTime(itsStarttime + itsDuration);
    }

    public void init ( ResultSet rs ) throws SQLException {
        setbid           (rs.getInt   ("bid"));
        setchannelid     (rs.getInt   ("channelid"));
        setchannelidval  (rs.getString("path"));
        setdjid          (rs.getInt   ("djid"));
        setdjidval       (rs.getString("djname"));
        setgenrename     (rs.getString("gname"));
        setday           (rs.getInt   ("day"));
        setdayval        (Util.DAY_NAMES[getday()]);
        setsingle        (rs.getInt   ("single"));
        setsingledate    (rs.getDate  ("singledate"));
        setstarttime     (rs.getInt   ("starttime"));
        setduration      (rs.getInt   ("duration"));
        setapproved      (rs.getInt   ("approved"));
    }
}
