/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.2 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/beans/genre/GenreBean.java,v 1.2 2001/09/29 22:47:20 jonathan Exp $
 * $Log: GenreBean.java,v $
 * Revision 1.2  2001/09/29 22:47:20  jonathan
 * Fixed DOS-style CRLFs that were all over the place.
 *
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.beans.genre;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import org.opendj.util.DBUtil;

public class GenreBean extends org.opendj.share.GenreBean {

    public GenreBean () {
        super();
    }

    public void init ( ResultSet theRS ) throws SQLException {
        itsGID         = theRS.getInt   ("gid");
        itsName        = theRS.getString("gname");
    }

    public void lookup (Connection theConn) throws SQLException {

        String aSQL
            = "SELECT gid, gname "
            + "FROM Genre "
            + "WHERE gid = ? "
            ;
        PreparedStatement aPS = null;
        ResultSet aRS = null;

        try {
            aPS   = theConn.prepareStatement(aSQL);
            aPS.setInt(1, itsGID);
            aRS   = aPS.executeQuery();
            if ( aRS.next() ) {
                init( aRS );
            }

        } finally {
            DBUtil.closeStatement(aPS);
            DBUtil.closeRS(aRS);
        }
    }

    public String getServerString () {
        return "|" + getgid() + "|" + getname();
    }
}
