/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/beans/mood/MoodBean.java,v 1.1.1.1 2001/09/29 20:38:49 jonathan Exp $
 * $Log: MoodBean.java,v $
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.beans.mood;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import org.opendj.util.DBUtil;

public class MoodBean extends org.opendj.share.MoodBean {

    public MoodBean () {
        super();
    }

    public void init ( ResultSet theRS ) throws SQLException {
        itsMID         = theRS.getInt   ("mid");
        itsName        = theRS.getString("mname");
    }

    public void lookup (Connection theConn) throws SQLException {

        String aSQL
            = "SELECT mid, mname "
            + "FROM Mood "
            + "WHERE mid = ? "
            ;
        PreparedStatement aPS = null;
        ResultSet aRS = null;

        try {
            aPS   = theConn.prepareStatement(aSQL);
            aPS.setInt(1, itsMID);
            aRS   = aPS.executeQuery();
            if ( aRS.next() ) {
                init( aRS );
            }

        } finally {
            DBUtil.closeStatement(aPS);
            DBUtil.closeRS(aRS);
        }
    }

    public String getServerString () {
        return "|" + getmid() + "|" + getname();
    }
}
