/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.2 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/beans/schedblock/SchedBean.java,v 1.2 2001/09/29 22:47:20 jonathan Exp $
 * $Log: SchedBean.java,v $
 * Revision 1.2  2001/09/29 22:47:20  jonathan
 * Fixed DOS-style CRLFs that were all over the place.
 *
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.beans.schedblock;

import java.sql.Date;
import java.sql.ResultSet;
import java.sql.SQLException;
import org.opendj.util.Util;
import org.opendj.util.DBFormat;

public class SchedBean extends SchedBlockBean {

    private int     itsSID         = -1;
    private int     itsDjid        = -1;
    private boolean itsIssingle    = false;
    private Date    itsSingledate  = null;
    private Date    itsStartlease  = null;
    private Date    itsEndlease    = null;
    private boolean itsIsactive    = false;
    private boolean itsIspublished = false;

    public SchedBean () {super();}

    public int     getsid() { return itsSID; }
    public void    setsid(int theSID) { itsSID = theSID; }

    public int     getdjid() { return itsDjid; }
    public void    setdjid(int theDjid) { itsDjid = theDjid; }

    public boolean getissingle() { return itsIssingle; }
    public void    setissingle(boolean theIssingle) { itsIssingle = theIssingle; }

    public Date    getsingledate() { return itsSingledate; }
    public void    setsingledate(Date theSingledate) { itsSingledate = theSingledate; }

    public Date    getstartlease() { return itsStartlease; }
    public void    setstartlease(Date theStartlease) { itsStartlease = theStartlease; }

    public Date    getendlease() { return itsEndlease; }
    public void    setendlease(Date theEndlease) { itsEndlease = theEndlease; }

    public boolean getisactive() { return itsIsactive; }
    public void    setisactive(boolean theIsactive) { itsIsactive = theIsactive; }

    public boolean getispublished() { return itsIspublished; }
    public void    setispublished(boolean theIspublished) { itsIspublished = theIspublished; }

    public void initBasic ( ResultSet rs ) throws SQLException {
        super.initBasic(rs);
        setsid           (rs.getInt   ("sid"));
        setdjid          (rs.getInt   ("djid"));
        setissingle      (rs.getInt   ("issingle") == 1);
        setsingledate    (rs.getDate  ("singledate"));
        setstartlease    (rs.getDate  ("startlease"));
        setendlease      (rs.getDate  ("endlease"));
        setisactive      (rs.getInt   ("isactive") == 1);
        setispublished   (rs.getInt   ("ispublished") == 1);
    }

    public String toString () {
        return "[SchedBean sid=" + getsid() + ",djid=" + getdjid() + ", starttime=" + getstarttime() + "]";
    }

    public boolean isSameSlotAs ( SchedBean theBean ) {
        return ( getdjid() == theBean.getdjid() &&
                 getattributes() == theBean.getattributes() );
    }
}
