/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/AsyncProcessException.java,v 1.1 2001/10/21 20:51:40 jonathan Exp $
 * $Log: AsyncProcessException.java,v $
 * Revision 1.1  2001/10/21 20:51:40  jonathan
 * Added capability for processes to run asynchronously.
 *
 */
package org.opendj.util;

import org.opendj.util.NestedException;

/**
 * Exceptions thrown when dealing with AsyncProcesses.
 */
public class AsyncProcessException extends NestedException {

    private int itsExceptionCode = -1;

    public static final int E_TIMEOUT   = 0;
    public static final int E_EXCEPTION = 1;

    public AsyncProcessException(int exceptionCode, long theTimeout) { 
        super("Command timeout, exceeded " + theTimeout + " ms.");
        itsExceptionCode = exceptionCode;
    }

    public AsyncProcessException(int exceptionCode, Exception ex) { 
        super("Command caused exception.", ex);
        itsExceptionCode = exceptionCode;
    }

    public int getExceptionCode () { return itsExceptionCode; }
}
