/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/BetterTokenizer.java,v 1.1.1.1 2001/09/29 20:38:48 jonathan Exp $
 * $Log: BetterTokenizer.java,v $
 * Revision 1.1.1.1  2001/09/29 20:38:48  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util;

public class BetterTokenizer {

    private String src = null;
    private char delim = '\0';
    private int srclen = 0;
    private int readpos = 0;

    public BetterTokenizer ( String src, char delim ) {
        this.src = src;
        this.delim = delim;
        readpos = 0;
        srclen = src.length();
    }

    public boolean hasMoreTokens() {
        return ( src != null && readpos <= srclen );
    }

    public String nextToken() {
        String rstr = null;
        int aTokenPos = src.indexOf(delim, readpos);
        //debug.out("nextToken: aTokenPos=" + aTokenPos); 
        if ( aTokenPos == -1 ) {
            rstr = src.substring(readpos, srclen);
            //debug.out("nextToken: returning last token: '" + rstr + "'");
            readpos = srclen+1;
            return rstr;
        }
        rstr = src.substring(readpos, aTokenPos);
        //debug.out("nextToken: returning token: '" + rstr + "'");
        readpos = aTokenPos+1;
        return rstr;
    }

}
