/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/ConvertMD5TextToBase64.java,v 1.1.1.1 2001/09/29 20:38:48 jonathan Exp $
 * $Log: ConvertMD5TextToBase64.java,v $
 * Revision 1.1.1.1  2001/09/29 20:38:48  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util;

import java.sql.*;
import java.util.*;

public class ConvertMD5TextToBase64 {

    public static void main ( String[] args ) {  
        try {
            HashMap passwords = new HashMap();
            Connection c = null;
            PreparedStatement s = null;
            ResultSet rs = null;
            String sql = "SELECT djid, password FROM Dj";
            try {
                Properties theProps = Config.global().getProperties();
                Class.forName(theProps.getProperty(Config.PROP_DB_DRIVER)).newInstance();
                c = DriverManager.getConnection(theProps.getProperty(Config.PROP_DB_URL),
                                                theProps.getProperty(Config.PROP_DB_USER),
                                                theProps.getProperty(Config.PROP_DB_PASSWORD));
                c.setAutoCommit(false);
                s = c.prepareStatement(sql);
                rs = s.executeQuery();
                String aPassword = null;
                int aDJID = 0;
                Integer aDJIDint = null;
                while ( rs.next() ) {
                    aDJID = rs.getInt(1);
                    aPassword = rs.getString(2);
                    System.out.println("Read password: '" + aPassword + "'");
                    aPassword = Base64.encode(Util.stringToMD5(aPassword).getBytes());
                    System.out.println("Storing as: '" + aPassword + "'");
                    passwords.put(new Integer(aDJID), aPassword);
                }

                DBUtil.closeRS(rs);
                DBUtil.closeStatement(s);

                sql = "UPDATE Dj SET password = ? WHERE djid = ? ";
                s = c.prepareStatement(sql);

                Iterator i = passwords.keySet().iterator();
                while ( i.hasNext() ) {
                    aDJIDint = (Integer) i.next();
                    aPassword = (String) passwords.get(aDJIDint);
                    s.setString(1, aPassword);
                    s.setInt(2, aDJIDint.intValue());
                    s.executeUpdate();
                }

                c.commit();

            } catch ( Exception e ) {
                System.err.println("SHIT: " + e.toString());
                e.printStackTrace();
                c.rollback();
            } finally {
                DBUtil.closeRS(rs);
                DBUtil.closeStatement(s);
                DBUtil.closeConnection(c);
            }
        } catch ( Exception e ) {
            System.err.println("BIG SHIT: " + e.toString());
            e.printStackTrace();
        }
    }

}
