/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.2 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/CryptoUtil.java,v 1.2 2001/09/29 22:47:20 jonathan Exp $
 * $Log: CryptoUtil.java,v $
 * Revision 1.2  2001/09/29 22:47:20  jonathan
 * Fixed DOS-style CRLFs that were all over the place.
 *
 * Revision 1.1.1.1  2001/09/29 20:38:48  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util;

public class CryptoUtil {

    private CryptoUtil() {}

    public static int getWordSum( String theString ) {
        int stop = theString.length();
        int sum = 0;
        for ( int i=0; i<stop; i++ ) {
            sum += (int) theString.charAt(i);
        }
        return sum;
    }

	public static char getRandomChar() {
		char base = '0';
		int range = ((int) 'z' ) - ((int) base);
		return  (char) ( ((int) base) + (int) Math.floor((range*Math.random())));
    }

    public static String getRandomWord(int length) {
        String rstr = "";
        for ( int i=0; i<length; i++ ) {
            rstr += getRandomChar();
        }
        return rstr;
    }

    // Unscrambles a string created from the scrambleInt method below, returns the int
    public static int unscrambleInt(String theScrambledInt) {
        return Integer.parseInt(theScrambledInt.substring(10)) / 235;
    }

    // Scrambles an int into a string
    public static String scrambleInt( int theInt ) {
        int aSum = getWordSum(String.valueOf(theInt << 13));
        String aPrefix = String.valueOf(aSum);
        int i=0;
        if ( aPrefix.length() < 2 ) aPrefix = "23";
        while ( aPrefix.length() < 10 ) aPrefix += aPrefix.substring(i,++i);
        return aPrefix + (theInt * 235);
    }

    // Unscrambles a string created from the scrambleLong method below, returns the long
    public static long unscrambleLong(String theScrambledLong) {
        return Long.parseLong(theScrambledLong.substring(10)) / 235;
    }

    // Scrambles a long into a string
    public static String scrambleLong( long theLong ) {
        long aSum = getWordSum(String.valueOf(theLong << 13));
        String aPrefix = String.valueOf(aSum);
        int i=0;
        if ( aPrefix.length() < 2 ) aPrefix = "23";
        while ( aPrefix.length() < 10 ) aPrefix += aPrefix.substring(i,++i);
        return aPrefix + (theLong * 235);
    }

}
