/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.3 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/DBException.java,v 1.3 2001/10/21 20:53:53 jonathan Exp $
 * $Log: DBException.java,v $
 * Revision 1.3  2001/10/21 20:53:53  jonathan
 * Removed GPL notices from files that are not GPLd.
 *
 * Revision 1.2  2001/09/29 22:47:20  jonathan
 * Fixed DOS-style CRLFs that were all over the place.
 *
 * Revision 1.1.1.1  2001/09/29 20:38:48  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util;

import org.opendj.util.NestedException;

public class DBException extends NestedException {

    public DBException() {}

    public DBException( String s ) { 
        super(s);
    }

    public DBException( Throwable t ) { 
        super(t);
    }

    public DBException( Exception e ) { 
        super((Throwable) e);
    }

    public DBException( Throwable t, String s ) { 
        super(s,t);
    }

    public DBException( Exception e, String s ) { 
        super(s,(Throwable)e);
    }
}
