/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.2 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/NestedException.java,v 1.2 2001/09/29 22:47:20 jonathan Exp $
 * $Log: NestedException.java,v $
 * Revision 1.2  2001/09/29 22:47:20  jonathan
 * Fixed DOS-style CRLFs that were all over the place.
 *
 * Revision 1.1.1.1  2001/09/29 20:38:48  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util;

/**
 * Encapsulates an exception which may optionally have another exception nested within it.
 * When the toString method is called, any nested exceptions will also be displayed.
 *
 * @author Jonathan Cobb, 2000
 * @version 0.1
 */
public abstract class NestedException extends org.opendj.share.NestedException {

    public NestedException() {
        super();
    }

    public NestedException(String s) {
        super(s);
    }

    public NestedException(Throwable t) {
        super(t);
    }

    public NestedException(String s, Throwable t) {
        super(s, t);
    }
}
