/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/PLSConstants.java,v 1.1.1.1 2001/09/29 20:38:49 jonathan Exp $
 * $Log: PLSConstants.java,v $
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util;

/**
 * Constants used in pls files.  If you change these
 * constants, then you will probably want to rerun the
 * createPLS.sh script in opendj-core/resources/scripts/deploy
 */
public class PLSConstants {

    public static final String PLS_PREFIX
        = "[playlist]"
        + "\n"
        + "\nNumberOfEntries=1"
        ;

    public static final String PLS_HELP_TEXT
        = "\n"
        + "\nComment1=If you are viewing this text instead of actually"
        + "\nComment2=listening to an audio stream, you need to install"
        + "\nComment3=an MP3 player that understands .pls files"
        + "\nComment4=For Windows users, install WinAmp ( http://www.winamp.com/ )"
        + "\nComment5=For UNIX users, install XMMS ( http://www.xmms.org/ )"
        + "\nComment6=For Mac users, install MaCast ( http://www.macast.net/ )"
        + "\n"
        ;

    private PLSConstants () {}
}
