/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.2 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/TestLeaseDates.java,v 1.2 2001/09/29 22:47:20 jonathan Exp $
 * $Log: TestLeaseDates.java,v $
 * Revision 1.2  2001/09/29 22:47:20  jonathan
 * Fixed DOS-style CRLFs that were all over the place.
 *
 * Revision 1.1.1.1  2001/09/29 20:38:48  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util;

import java.util.Date;

public class TestLeaseDates {

    public static void main ( String[] args ) {

        String aDayString = args[0];

        int aDay = Util.getStringIndex( aDayString, Util.DAY_NAMES_FULL );
        int aStartTime = DBFormat.ParseStartTime(args[1]);

        Date aStartLeaseDate = SchedBlock.getStartLeaseDate( aStartTime,
                                                             aDay );
        
        System.err.println("\n\nIf you requested a weekly broadcast on " + aDayString 
                           + "\n at " + args[1] + " (" + aStartTime + "), your first "
                           + "\n broadcast would be on " + aStartLeaseDate + "\n\n");

        if ( args.length >= 3 ) {
            int aNumweeks = Integer.parseInt(args[2]);
            System.err.println("The lease would end on " 
                               + SchedBlock.getEndLeaseDate(aStartLeaseDate, aNumweeks)
                               + "\n\n");
        }
    }

}
