/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/WebMessage.java,v 1.1.1.1 2001/09/29 20:38:49 jonathan Exp $
 * $Log: WebMessage.java,v $
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util;

public class WebMessage {

    public static final String WMID = "wmid";

    public static final int M_PASSWORD_UPDATED               = 0;
    public static final int M_IDENTITY_UPDATED               = 1;
    public static final int M_PROGRAM_UPDATED                = 2;
    public static final int M_NO_ARCHIVE_RESULTS             = 3;
    public static final int M_IDENTITY_UPDATED_EMAIL_CHANGED = 4;

    public static final String[] M_MESSAGES = {
        "Your password was successfully updated.",
        "Your identity was successfully updated.",
        "Your progam information was successfully updated.",
        "There were no archives that matched your search criteria.",
        "Your identity was successfully updated.  Because your email address changed, a new "
        + "password has been sent to your updated email address.  Please check your email at "
        + "the new address to get your new password.",
        null
    };

    public static String appendMessage ( String theURL,
                                         int theMessageID ) {
        if ( theURL.indexOf("?") != -1 ) {
            return theURL + "&" + WMID + "=" + theMessageID;
        }
        return theURL + "?" + WMID + "=" + theMessageID;
    }

    private String itsMessage = null;

    public WebMessage () {}

    public void setMessage ( String theWMIDString ) {
        try {
            itsMessage = M_MESSAGES[Integer.parseInt(theWMIDString)];
        } catch ( Exception e ) {
            // XXX Log this?
            itsMessage = null;
        }
    }

    public String getMessage() { return itsMessage; }

}
