/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.2 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/log/StatusLogCheckpoint.java,v 1.2 2001/09/29 22:47:20 jonathan Exp $
 * $Log: StatusLogCheckpoint.java,v $
 * Revision 1.2  2001/09/29 22:47:20  jonathan
 * Fixed DOS-style CRLFs that were all over the place.
 *
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util.log;

import java.util.*;

public class StatusLogCheckpoint {

    private boolean     itsCorrupted = false;
    private Date        itsTimeStamp = null;
    private Vector      itsEntries = new Vector();

    public void setCorrupted() {
        itsCorrupted = true;
    }
        
    public boolean isCorrupted() {
        return itsCorrupted;
    }
        
    public void setTimeStamp(Date theTimeStamp) {
        itsTimeStamp = theTimeStamp;
    }
        
    public Date getTimestamp() {
        return itsTimeStamp;
    }
        
    public void addEntry(StatusLogEntry theData) {
        itsEntries.addElement(theData);
    }
        
    public Vector getEntries()  {
        return itsEntries;
    }
}
