/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 *
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-servercommon/src/org/opendj/util/mail/MailPiece.java,v 1.1.1.1 2001/09/29 20:38:49 jonathan Exp $
 * $Log: MailPiece.java,v $
 * Revision 1.1.1.1  2001/09/29 20:38:49  jonathan
 * Imported opendj-servercommon
 *
 */
package org.opendj.util.mail;

import javax.mail.internet.*;

import org.opendj.util.log.Logger;
import org.opendj.util.Util;

public class MailPiece {

    public MailPiece () {}

    public MailPiece ( String theFromName, 
                       String theFromEmail, 
                       String theToName, 
                       String theToEmail, 
                       String theSubject, 
                       String theMessage ) {
        try {
            if ( theFromName != null ) {
                fromEmail = new InternetAddress(theFromEmail, theFromName);
            } else {
                fromEmail = new InternetAddress(theFromEmail);
            }
            toEmails = new InternetAddress[1];
            if ( theToName != null ) {
                toEmails[0] = new InternetAddress(theToEmail, theToName);
            } else {
                toEmails[0] = new InternetAddress(theToEmail);
            }
            subject = theSubject;
            message = theMessage;
        } catch ( Exception e ) {
            Logger.global().capture("MailPiece.constructor", e, Logger.L_ERROR);
        }
    }

    public String host = MailManager.global().getSmtpHost();
    public int port = 25;
    public InternetAddress fromEmail = null;
    public InternetAddress toEmails[] = null;
    public InternetAddress ccEmails[] = null;
    public InternetAddress bccEmails[] = null;
    public String subject = "";
    public String message = "";

    public String toString() { 
        return "[MailPiece: "
            + "\nFROM=" + Util.nzo(fromEmail)
            + "\nTO=" + Util.arrayToString(toEmails)
            + "\nCC=" + Util.arrayToString(ccEmails)
            + "\nBCC=" + Util.arrayToString(bccEmails)
            + "\nSubject='" + Util.nzo(subject) + "'"
            + "\nMessage=\n'" + Util.nzo(message) + "'"
            + "]\n";
    }

}
